Bug 46440 - Apps not updated during update to 4.3
Apps not updated during update to 4.3
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-0-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-28 09:21 CET by Felix Botner
Modified: 2018-03-21 13:27 CET (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2018-02-28 09:21:12 CET
See http://jenkins.knut.univention.de:8080/job/UCS-4.3/job/Apps/job/zimbra/job/App%20Autotest%20MultiEnv%20Release%20Update/SambaVersion=no-samba,Systemrolle=master/

At least for package based apps.

The packages seemed to be upgraded during the update but the app registration for the new app version seems to be missing,

20_appcenter.19_app_version.test
[2018-02-27 20:21:41.798102] zimbra: latest 1.1, installed 1.0

zimbra App 4.3 -> 1.1
zimbra App 4.2 -> 1.0
Comment 1 Dirk Wiesenthal univentionstaff 2018-03-01 10:56:14 CET
For Docker Apps, this should not be a problem because the App does not change.

For Non-Docker Apps, it is missing because the App Center is not involved at all during the upgrade.

The App should be registered correctly the first time the App Center module is opened.

Alternatively, we call univention-app register --app during postup.sh.
Comment 2 Erik Damrose univentionstaff 2018-03-01 11:05:33 CET
The 4.3-0 postup contains
univention-app update || true
univention-app register --app || true

This was introduced in bug #45328
Comment 3 Dirk Wiesenthal univentionstaff 2018-03-03 15:22:35 CET
Fixed by doing a "univention-app register --app" just before checking the status in the test scripts. This means that the status is actually broken right after the update. But it is way too much work to fix it in the App Center. The updater should better run postup.sh with version/version already set to 4.3 (Bug #46465).

For now, we should consider putting "univention-app register --app" in the postinst of the very first errata update of univention-appcenter.
Comment 4 Felix Botner univentionstaff 2018-03-05 10:03:18 CET
ok, test fixed, i tag this bug to 4.3-1
Comment 5 Dirk Wiesenthal univentionstaff 2018-03-15 14:19:15 CET
Fixed in
  univention-appcenter 7.0.1-29A~4.3.0.201803151413

Merely doing

univention-app register --app

in the postinst of univention-appcenter.
Comment 6 Felix Botner univentionstaff 2018-03-20 11:28:53 CET
OK - update 4.3 master
OK - update unjoined 4.3 slave
OK - update 4.2-3 master with zimbra to 4.3 and errata -> app version correct

OK - YAML
Comment 7 Arvid Requate univentionstaff 2018-03-21 13:27:24 CET
<http://errata.software-univention.de/ucs/4.3/2.html>